Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/{subscription_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/{subscription_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/{subscription_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "7c068b18-7dfa-3182-ab7b-53ece388b5ea",
"name": "Harum saepe cum.",
"short_description": "Et est aut blanditiis alias vel.",
"status": "draft",
"current_period_start": "2026-03-03T14:05:32.0000000+00:00",
"current_period_end": "2026-04-03T14:05:32.0000000+00:00",
"previous_period_start": "2026-03-03T14:05:32.0000000+00:00",
"previous_period_end": "2026-02-03T14:05:32.0000000+00:00",
"started_at": "2026-03-03T14:05:32.0000000+00:00",
"terminated_at": "2026-03-03T14:05:32.0000000+00:00",
"billing_anchor_day": 20,
"customer": {
"uuid": "a13651d5-d719-496c-84fd-04d945439f5d",
"auth_id": "f7d67dbc-f267-3560-8a05-42235d48cecc",
"name": "Dr. Zander McGlynn",
"business_entity_id": "a13651d5-d652-4545-873e-2485832eead5",
"currency": "USD"
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"current_phase": {
"uuid": "a49e879e-0444-36dd-8b60-68d62fedcea3",
"name": "Recusandae consequuntur sed.",
"short_description": "Qui natus molestiae soluta qui.",
"start_at": "2026-03-03T14:05:32.0000000+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2027-03-03T14:05:32.0000000+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32.0000000+00:00"
},
"has_immediate_termination": true,
"is_in_grace_period": false,
"expires_at": "2026-04-03T14:05:32.0000000+00:00"
}
}Returns a single Customer Subscription extended information.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A comma-separated list of relationships to include. Multiple parameters are allowed.
customer, currentPhase, immediateTerminationRequests, processingRenewalOrder "customer"
Show child attributes